org.apache.cassandra.utils

## Class AlwaysPresentFilter

- java.lang.Object
- - org.apache.cassandra.utils.AlwaysPresentFilter

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, IFilter

    public class AlwaysPresentFilter
    extends java.lang.Object
    implements IFilter

### Constructor Summary

Constructors
Constructor and Description
`AlwaysPresentFilter()`

### Method Summary

Methods
`void` `add(java.nio.ByteBuffer key)`
`void` `clear()`
`void` `close()`
`boolean` `isPresent(java.nio.ByteBuffer key)`
`long` `serializedSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlwaysPresentFilter

    public AlwaysPresentFilter()

### Method Detail

#### isPresent

    public boolean isPresent(java.nio.ByteBuffer key)

Specified by:
  `isPresent` in interface `IFilter`

#### add

    public void add(java.nio.ByteBuffer key)

Specified by:
  `add` in interface `IFilter`

#### clear

    public void clear()

Specified by:
  `clear` in interface `IFilter`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `IFilter`

#### serializedSize

    public long serializedSize()

Specified by:
  `serializedSize` in interface `IFilter`